Bug 102437

Summary: Update DOMException name: SecurityError
Product: WebKit Reporter: Erik Arvidsson <arv>
Component: New BugsAssignee: Erik Arvidsson <arv>
Status: RESOLVED FIXED    
Severity: Normal CC: haraken, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 101606    
Attachments:
Description Flags
Patch
none
Patch
none
Patch for landing none

Description Erik Arvidsson 2012-11-15 15:04:17 PST
Update DOMException name: SecurityError
Comment 1 Erik Arvidsson 2012-11-15 15:05:15 PST
Created attachment 174528 [details]
Patch
Comment 2 Erik Arvidsson 2012-11-16 08:44:48 PST
Created attachment 174697 [details]
Patch
Comment 3 Build Bot 2012-11-17 03:51:48 PST
Comment on attachment 174697 [details]
Patch

Attachment 174697 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/14860602

New failing tests:
http/tests/security/same-origin-shared-worker-blocked.html
http/tests/security/cross-origin-shared-worker.html
http/tests/security/cross-origin-local-storage-wk1.html
http/tests/security/storage-blocking-strengthened-shared-worker.html
http/tests/security/storage-blocking-loosened-shared-worker.html
Comment 4 Kentaro Hara 2012-11-18 15:56:43 PST
Comment on attachment 174697 [details]
Patch

r=me. Fix error in mac build before landing.
Comment 5 Erik Arvidsson 2012-11-19 07:53:41 PST
Created attachment 174984 [details]
Patch for landing
Comment 6 WebKit Review Bot 2012-11-19 08:27:23 PST
Comment on attachment 174984 [details]
Patch for landing

Clearing flags on attachment: 174984

Committed r135162: <http://trac.webkit.org/changeset/135162>
Comment 7 WebKit Review Bot 2012-11-19 08:27:26 PST
All reviewed patches have been landed.  Closing bug.